stages:
  - build
  - test

# Jobs

# Build job
build:
  image: node:10.16.3
  stage: build
  before_script:
    # Install vuecli    
    - npm install -g @vue/cli@latest
    # Install dependencies    
    - npm install
  script:
    # Build App
    - npm run build
  artifacts:
    paths:
      - "./dist/" # dist directory

# Test job
test:
  image: node:10.16.3
  stage: test
  script:
    - echo "test"